xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | not portable
Stability | unstable
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Safe Haskell | None

XMonad.Layout.NoFrillsDecoration

Contents

- Usage:

Description

Most basic version of decoration for windows without any additional modifications. In contrast to XMonad.Layout.SimpleDecoration this will result in title bars that span the entire window instead of being only the length of the window title.

Synopsis

- noFrillsDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration NoFrillsDecoration s) l a
- module XMonad.Layout.SimpleDecoration
- data NoFrillsDecoration a

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.NoFrillsDecoration

Then edit your `layoutHook` by adding the NoFrillsDecoration to your layout:

     myL = noFrillsDeco shrinkText defaultTheme (layoutHook defaultConfig)
     main = xmonad defaultConfig { layoutHook = myL }

noFrillsDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration NoFrillsDecoration s) l aSource

Add very simple decorations to windows of a layout.

module XMonad.Layout.SimpleDecoration

data NoFrillsDecoration a Source

Instances

Eq a => DecorationStyle NoFrillsDecoration a |
Read (NoFrillsDecoration a) |
Show (NoFrillsDecoration a) |